org.jboss.resteasy.skeleton.key.as7

## Class CatalinaBearerTokenAuthenticator

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.as7.CatalinaBearerTokenAuthenticator

-     public class CatalinaBearerTokenAuthenticator
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `challenge`
    `protected org.jboss.logging.Logger` | `log`
    `protected boolean` | `propagateToken`
    `protected ResourceMetadata` | `resourceMetadata`
    `protected SkeletonKeyToken` | `token`
    `protected String` | `tokenString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalinaBearerTokenAuthenticator(ResourceMetadata resourceMetadata, boolean propagateToken, boolean challenge)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `challengeResponse(javax.servlet.http.HttpServletResponse response, String error, String description)`
    `Principal` | `getPrincipal()`
    `ResourceMetadata` | `getResourceMetadata()`
    `SkeletonKeyToken` | `getToken()`
    `String` | `getTokenString()`
    `boolean` | `login(org.apache.catalina.connector.Request request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceMetadata

          protected ResourceMetadata resourceMetadata

    - #### challenge

          protected boolean challenge

    - #### log

          protected org.jboss.logging.Logger log

    - #### tokenString

          protected String tokenString

    - #### token

          protected SkeletonKeyToken token

    - #### propagateToken

          protected boolean propagateToken

  - ### Constructor Detail

    - #### CatalinaBearerTokenAuthenticator

          public CatalinaBearerTokenAuthenticator(ResourceMetadata resourceMetadata,
                                          boolean propagateToken,
                                          boolean challenge)

  - ### Method Detail

    - #### getResourceMetadata

          public ResourceMetadata getResourceMetadata()

    - #### getTokenString

          public String getTokenString()

    - #### getToken

          public SkeletonKeyToken getToken()

    - #### getPrincipal

          public Principal getPrincipal()

    - #### login

          public boolean login(org.apache.catalina.connector.Request request,
                      javax.servlet.http.HttpServletResponse response)
                        throws LoginException,
                               IOException

      Throws:
        `LoginException`
        `IOException`

    - #### challengeResponse

          protected void challengeResponse(javax.servlet.http.HttpServletResponse response,
                               String error,
                               String description)
                                    throws LoginException

      Throws:
        `LoginException`

Copyright © 2014. All Rights Reserved.